function [np,gam] = mex3di (x,y,ahdyn)

% Load les données

  load cluster.dat

% Paramètre d'entrée de la fonction 'gamv3'

  x      = cluster(:,1);
  y      = cluster(:,2);
  z      = cluster(:,3);
  vr     = cluster(:,4:5);
  nvar   = 2;
  nd     = length(x);			
  nlag   = 10;
  xlag   = 2.0; 
  xltol  = 1.0;
  ndir   = 4;
  azm    = [  0.0   0.0  90.0   0.0]; 
  atol   = [ 90.0  22.5  22.5  90.0];
  bandwh = [ 25.0  25.0  25.0  25.0];
  dip    = [  0.0   0.0   0.0 -90.0];
  dtol   = [ 90.0  22.5  22.5  22.5];
  bandwd = [ 25.0  25.0  25.0  25.0];
  nvarg  = 2;
  ivtail = [2; 1];
  ivhead = [2; 2];
  ivtype = [1; 4];

[np,gam,hm,tm,hv,tv] =... 
	vario3di (nd,x,y,z,vr,nlag,xlag,xltol,ndir,azm,...
	       atol,bandwh,dip,dtol,bandwd,nvarg,ivtail,ivhead,ivtype,nvar);

